
class Network {
    apiEndpoint: string = "";
    tmEndpoint: string = "";
    chainGrpcEndpoint: string = "";
    chainTlsCert: string = ""; //credentials.TransportCredentials
    exchangeTlsCert: string = ""; //credentials.TransportCredentials
    chainId: string = "";
    feeDenom: string = "";
    name: string = "";
}

export function loadNetwork(name: string, node: string): Network {
    if (name == "local") {
        return {
            apiEndpoint: "https://localhost:1317",
            tmEndpoint: "http://localhost:26657",
            chainGrpcEndpoint: "tcp://localhost:9090",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "local",
        }
    } else if (name == "local-docker") {
        return {
            apiEndpoint: "http://router-chain-container:1317",
            tmEndpoint: "http://router-chain-container:26657",
            chainGrpcEndpoint: "tcp://router-chain-container:9090",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "local-docker",
        }
    } else if (name == "devnet-alpha") {
        return {
            apiEndpoint: "https://devnet-alpha.lcd.routerprotocol.com:443",
            tmEndpoint: "https://devnet-alpha.tm.routerprotocol.com:443",
            chainGrpcEndpoint: "tcp://devnet-alpha.grpc.routerprotocol.com:9090",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "devnet-alpha",
        }
    } else if (name == "devnet-alpha-nondocker") {
        return {
            apiEndpoint: "http://3.110.19.140:1317",
            tmEndpoint: "http://3.110.19.140:26657",
            chainGrpcEndpoint: "tcp://3.110.19.140:9090",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "devnet-alpha-nondocker",
        }
    } else if (name == "devnet") {
        return {
            apiEndpoint: "http://43.205.211.15:1317",
            tmEndpoint: "http://43.205.211.15:26657",
            chainGrpcEndpoint: "tcp://43.205.211.15:9090",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "devnet",
        }
    } else if (name == "custom") {
        return {
            apiEndpoint: "http://43.205.211.15:1317",
            tmEndpoint: "http://43.205.211.15:26657",
            chainGrpcEndpoint: "https://devnet-alpha.grpcweb.routerprotocol.com",
            chainId: "router-1",
            chainTlsCert: "",
            exchangeTlsCert: "",
            feeDenom: "router",
            name: "custom",
        }
    }
    return {
        apiEndpoint: "",
        tmEndpoint: "",
        chainGrpcEndpoint: "",
        chainId: "",
        chainTlsCert: "",
        exchangeTlsCert: "",
        feeDenom: "",
        name: "",
    }
}
