import { ChainGrpcBankApi } from "./ChainGrpcBankApi";
import { ChainGrpcAttestationApi } from "./ChainGrpcAttestationApi";
import { ChainGrpcInboundApi } from "./ChainGrpcInboundApi";
import { ChainGrpcOutboundApi } from "./ChainGrpcOutboundApi";
import { ChainGrpcMultiChainApi } from "./ChainGrpcMultiChainApi";
import { ChainGrpcWasmApi } from "./ChainGrpcWasmApi";

export class ChainGrpcClient {
    bank: ChainGrpcBankApi;
    attestation: ChainGrpcAttestationApi;
    inbound: ChainGrpcInboundApi;
    outbound: ChainGrpcOutboundApi;
    multichain: ChainGrpcMultiChainApi;
    wasm: ChainGrpcWasmApi;

    constructor(endpoint: string) {
        this.bank = new ChainGrpcBankApi(endpoint);
        this.attestation = new ChainGrpcAttestationApi(endpoint);
        this.inbound = new ChainGrpcInboundApi(endpoint);
        this.outbound = new ChainGrpcOutboundApi(endpoint);
        this.multichain = new ChainGrpcMultiChainApi(endpoint);
        this.wasm = new ChainGrpcWasmApi(endpoint);
    }
}