import { Query as InboundQuery } from '@routerprotocol/chain-api/inbound/query_pb_service';
import {
  QueryGetIncomingTxRequest,
  QueryGetIncomingTxResponse,
  QueryAllIncomingTxRequest,
  QueryAllIncomingTxResponse
} from '@routerprotocol/chain-api/inbound/query_pb';
import BaseConsumer from './BaseGrpcConsumer';
import { InboundTransformer } from '../transformers'

/**
 * @category Chain Grpc API
 */
export class ChainGrpcInboundApi extends BaseConsumer {

  async fetchIncomingTx(
    chainType: number,
    chainId: string,
    eventNonce: number
  ) {
    
    const request = new QueryGetIncomingTxRequest();
    request.setChainType(chainType);
    request.setChainId(chainId);
    request.setEventNonce(eventNonce)

    try {
      const response = await this.request<
        QueryGetIncomingTxRequest,
        QueryGetIncomingTxResponse,
        typeof InboundQuery.IncomingTx
      >(request, InboundQuery.IncomingTx);

      return InboundTransformer.incomingTx(response);
    } catch (e) {
      //@ts-ignore
      throw new Error(e.message);
    }
  }
}
