import {
  QueryAllBalancesResponse,
  QueryBalanceResponse,
} from '@routerprotocol/chain-api/cosmos/bank/v1beta1/query_pb';
import { getPageObject, getCoinObject } from '../../../utils';

/**
 * @category Chain Grpc Transformer
 */
export class BankTransformer {

  static balanceResponseToBalance(response: QueryBalanceResponse): QueryBalanceResponse.AsObject {
    const balance = response.getBalance();
    if (balance == undefined) {
      return {
        balance: undefined
      }
    }
    return {
      balance: getCoinObject(balance)
    }
  }

  static balancesResponseToBalances(
    response: QueryAllBalancesResponse
  ): QueryAllBalancesResponse.AsObject {
    const balances = response.getBalancesList();
    const pagination = response.getPagination();

    return {
      balancesList: balances.map(getCoinObject),
      pagination: getPageObject(pagination),
    };
  }
}
