import { PageResponse } from '@routerprotocol/chain-api/cosmos/base/query/v1beta1/pagination_pb';
import { Coin } from '@routerprotocol/chain-api/cosmos/base/v1beta1/coin_pb'

export const getPageObject = (
    page: PageResponse | undefined
): PageResponse.AsObject | undefined => {
    if (page == undefined) return undefined;

    return {
        nextKey: page.getNextKey(),
        total: page.getTotal()
    }
}

export const getCoinObject = (coin: Coin): Coin.AsObject => {
    return {
      denom: coin.getDenom(),
      amount: coin.getAmount(),
    }
}