import { initialiseChainClient } from '../../src/client/routerchain';

const main = async () => {
  try {
    const client = initialiseChainClient("custom");

    const latestValsetNonce = await client.attestation.fetchLatestValsetNonce();
    console.log("latestValsetNonce ", latestValsetNonce);

    const allValsets = await client.attestation.fetchAllValsets();
    console.log("all valsets", JSON.stringify(allValsets));

    const valsetByNonce = await client.attestation.fetchValsetByNonce(1);
    console.log("valset by nonce", valsetByNonce);

    const latestValset = await client.attestation.fetchLatestValset();
    console.log("latest valset", JSON.stringify(latestValset));

    const lastEvent = await client.attestation.fetchLastEventByValidator(0, "7545", "routervaloper124jr7gtjxmtf9yjd6jdktfe8rv32umavdfgn7n");
    console.log("last event", lastEvent);

    const orchestrators = await client.attestation.fetchAllOrchestrators();
    console.log("orchestrators", orchestrators);

  } catch (err) {
    console.error("ERROR", err);
  }
};

main();