import { initialiseChainClient } from '../../src/client/routerchain';

const main = async () => {
  try {
    const client = initialiseChainClient("custom");

    const allTx = await client.outbound.fetchAllOutgoingBatchTx();
    console.log("all outgoing tx ", allTx);

    const tx = await client.outbound.fetchOutgoingBatchTx(0, "7545", "router1999u8suptza3rtxwk7lspve02m406xe7l622erg3np3aq05gawxsa07d88", 1);
    console.log("outgoing tx ", tx);

    const txConfirm = await client.outbound.fetchOutgoingBatchTxConfirm(0, "7545", "router1999u8suptza3rtxwk7lspve02m406xe7l622erg3np3aq05gawxsa07d88", 1, "");
    console.log("outgoing tx confirm", txConfirm);

    const allTxConfirm = await client.outbound.fetchAllOutgoingBatchTxConfirms(0, "7545", "router1999u8suptza3rtxwk7lspve02m406xe7l622erg3np3aq05gawxsa07d88", 1);
    console.log("all outgoing tx confirm ", allTxConfirm);

    const nonce = await client.outbound.fetchLastOutboundBatchNonce(0, "7545", "router1999u8suptza3rtxwk7lspve02m406xe7l622erg3np3aq05gawxsa07d88");
    console.log("last outbound nonce", nonce);

  } catch (err) {
    console.error("ERROR", err);
  }
};

main();